Loading...
Searching...
No Matches
Trays
Optional Components » Bites

Simplistic GUI System build with Overlays. More...

## Classes

class | OgreBites::Button
| Basic button class. More...
class | OgreBites::CheckBox
| Basic check box widget. More...
class | OgreBites::DecorWidget
| Custom, decorative widget created from a template. More...
class | OgreBites::Label
| Basic label widget. More...
class | OgreBites::ParamsPanel
| Basic parameters panel widget. More...
class | OgreBites::ProgressBar
| Basic progress bar widget. More...
class | OgreBites::SelectMenu
| Basic selection menu widget. More...
class | OgreBites::Separator
| Basic separator widget. More...
class | OgreBites::Slider
| Basic slider widget. More...
class | OgreBites::TextBox
| Scrollable text box widget. More...
class | OgreBites::TrayListener
| Listener class for responding to tray events. More...
class | OgreBites::TrayManager
| Main class to manage a cursor, backdrop, trays and widgets. More...
class | OgreBites::Widget
| Abstract base class for all widgets. More...

## Typedefs

typedef std::vector< Widget * > | OgreBites::WidgetList

## Enumerations

enum | OgreBites::ButtonState { OgreBites::BS_UP , OgreBites::BS_OVER , OgreBites::BS_DOWN }
| enumerator values for button states More...
enum | OgreBites::TrayLocation { OgreBites::TL_TOPLEFT , OgreBites::TL_TOP , OgreBites::TL_TOPRIGHT , OgreBites::TL_LEFT , OgreBites::TL_CENTER , OgreBites::TL_RIGHT , OgreBites::TL_BOTTOMLEFT , OgreBites::TL_BOTTOM , OgreBites::TL_BOTTOMRIGHT , OgreBites::TL_NONE }
| enumerator values for widget tray anchoring locations More...

## Detailed Description

Simplistic GUI System build with Overlays.

## Typedef Documentation

## WidgetList

typedef std::vector<Widget*> OgreBites::WidgetList

## Enumeration Type Documentation

## TrayLocation

enum OgreBites::TrayLocation

enumerator values for widget tray anchoring locations

Enumerator
TL_TOPLEFT |
TL_TOP |
TL_TOPRIGHT |
TL_LEFT |
TL_CENTER |
TL_RIGHT |
TL_BOTTOMLEFT |
TL_BOTTOM |
TL_BOTTOMRIGHT |
TL_NONE |

## ButtonState

enum OgreBites::ButtonState

enumerator values for button states

Enumerator
BS_UP |
BS_OVER |
BS_DOWN |